View Issue Details

IDProjectCategoryView StatusLast Update
0000867SOGoBackend Calendarpublic2012-06-04 11:30
Reporterfrancis Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.16Fixed in Version1.3.16 
Summary0000867: EXDATE not properly parsed
Description

From RFC 2445 :

Format Definition: The property is defined by the following notation:
<pre>
exdate = "EXDATE" exdtparam ":" exdtval *("," exdtval) CRLF

 exdtparam  = *(

            ; the following are optional,
            ; but MUST NOT occur more than once

            (&quot;;&quot; &quot;VALUE&quot; &quot;=&quot; (&quot;DATE-TIME&quot; / &quot;DATE&quot;)) /
            (&quot;;&quot; tzidparam) /

            ; the following is optional,
            ; and MAY occur more than once

            (&quot;;&quot; xparam)

            )

 exdtval    = date-time / date
 ;Value MUST match value type</pre>

Example: The following is an example of this property:
<pre>
EXDATE:19960402T010000Z,19960403T010000Z,19960404T010000Z</pre>

Steps To Reproduce

Here're some valid examples.

Work in SOGo:

EXDATE;TZID=America/Montreal:20101001T090000
EXDATE;TZID=America/Montreal:20101007T090000

Don't work in SOGo:

EXDATE;TZID=America/Montreal:20101001T090000,20101007T090000
EXDATE;VALUE=DATE:20111108

TagsNo tags attached.

Activities

victornoel

victornoel

2011-10-31 13:02

reporter   ~0002961

Hi,

I think this bug is a real problem and should be fixed soon.

I reported the problem first to korganizer people but it seems to me part of the problem can be considered a bug of SOGo.

You can take a look at the bug report I made and explaining the problem in details: https://bugs.kde.org/show_bug.cgi?id=285405

In short, korganizer use the optional VALUE=DATE information in the EXDATE line, and thus korganizer exceptions are not taken into account by SOGo.

Thank you very much

wsourdeau

wsourdeau

2011-11-16 09:37

viewer   ~0003015

With the recent changes to the parsing code, this would be very easy to fix, by taking all the values into account rather than just the first one.

francis

francis

2012-05-29 13:25

administrator   ~0003980

Fixed.

Also fixed is a bug that was revealed with all-day daily events. See revision 1e79eab4c546452715e5171f1c326b7d36f1c195.

francis

francis

2012-06-04 11:30

administrator   ~0004015

Yet more related changes. See revision ae85556f790a11b8a40593a88822bee09e847d96

Issue History

Date Modified Username Field Change
2010-09-28 15:14 francis New Issue
2011-10-31 13:02 victornoel Note Added: 0002961
2011-11-01 13:32 francis Steps to Reproduce Updated
2011-11-16 09:37 wsourdeau Note Added: 0003015
2011-11-16 09:38 wsourdeau Target Version => 1.3.10
2011-11-18 13:32 ludovic Target Version 1.3.10 => 1.3.11
2011-12-12 12:34 francis Target Version 1.3.11 => 1.3.12
2012-02-08 14:37 ludovic Target Version 1.3.12 => 1.3.13
2012-03-16 11:39 francis Target Version 1.3.13 => 1.3.14
2012-03-23 08:33 francis Target Version 1.3.14 => 1.3.15
2012-05-09 11:41 ludovic Target Version 1.3.15 => 1.3.16
2012-05-29 13:25 francis Note Added: 0003980
2012-05-29 13:25 francis Status new => resolved
2012-05-29 13:25 francis Resolution open => fixed
2012-05-29 13:25 francis Assigned To => francis
2012-05-29 13:26 francis Fixed in Version => 1.3.16
2012-06-04 11:30 francis Note Added: 0004015